Subject: bug#55645: src/print.c; print_object changes make it impossible to compare elisp code across versions

From: Po Lu <[email-masked]>
Date: Sat, 04 Jun 2022 20:18:03 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> It's mostly natural when dealing with data that arrives from other
> programming languages that we then have turned into symbols.  So you
> have symbols like `vnd.ms-excel' etc.  (We don't use dots in
> function/variable names.)

But that's not something which happens very often, is it?

IOW, this looks like a relatively unimportant asthetic issue that
doesn't justify strong opinions in either direction.  Even though
there's no guarantee that the printed representation of symbols will
remain stable, we might as well do Tom the courtesy of reverting that
particular change, since it caused him problems with code problem-free
since Emacs 18.